RDKit::FilterMatch Struct Reference

Holds the atomPairs matched by the underlying matcher. More...

`#include <FilterMatcherBase.h>`

## Public Member Functions

| FilterMatch ()
| FilterMatch (boost::shared_ptr< FilterMatcherBase > filter, MatchVectType atomPairs)
| FilterMatch (const FilterMatch &rhs)
bool | operator== (const FilterMatch &rhs) const
bool | operator!= (const FilterMatch &rhs) const

## Public Attributes

boost::shared_ptr< FilterMatcherBase > | filterMatch
MatchVectType | atomPairs

## Detailed Description

Holds the atomPairs matched by the underlying matcher.

Definition at line 52 of file FilterMatcherBase.h.

## Constructor & Destructor Documentation

## FilterMatch() [1/3]

RDKit::FilterMatch::FilterMatch | ( |  | ) |

inline

Definition at line 56 of file FilterMatcherBase.h.

## FilterMatch() [2/3]

RDKit::FilterMatch::FilterMatch | ( | boost::shared_ptr< FilterMatcherBase > | filter,
|  | MatchVectType | atomPairs
| ) |  |

inline

Definition at line 57 of file FilterMatcherBase.h.

## FilterMatch() [3/3]

RDKit::FilterMatch::FilterMatch | ( | const FilterMatch & | rhs | ) |

inline

Definition at line 61 of file FilterMatcherBase.h.

## Member Function Documentation

## operator!=()

bool RDKit::FilterMatch::operator!= | ( | const FilterMatch & | rhs | ) | const

inline

Definition at line 69 of file FilterMatcherBase.h.

References atomPairs, and filterMatch.

## operator==()

bool RDKit::FilterMatch::operator== | ( | const FilterMatch & | rhs | ) | const

inline

Definition at line 64 of file FilterMatcherBase.h.

References atomPairs, and filterMatch.

## Member Data Documentation

## atomPairs

MatchVectType RDKit::FilterMatch::atomPairs

Definition at line 54 of file FilterMatcherBase.h.

Referenced by operator!=(), and operator==().

## filterMatch

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatch::filterMatch

Definition at line 53 of file FilterMatcherBase.h.

Referenced by operator!=(), and operator==().

The documentation for this struct was generated from the following file:

- FilterMatcherBase.h